Functions
FLAG_Management
Peripheral Driver » LL Driver » AES » Functions

## Functions
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_ready (aes_regs_t *AESx)
| Indicate whether the ready flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_dma_done (aes_regs_t *AESx)
| Indicate whether the DMA transfer done flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_dma_error (aes_regs_t *AESx)
| Indicate whether the DMA transfer error flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_key_valid (aes_regs_t *AESx)
| Indicate whether the key valid flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_it_done (aes_regs_t *AESx)
| Indicate whether the done interrupt flag is set. More...
__STATIC_INLINE void | ll_aes_clear_flag_it_done (aes_regs_t *AESx)
| Clear the done interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_aes_clear_flag_it_done()

__STATIC_INLINE void ll_aes_clear_flag_it_done | ( | aes_regs_t * | AESx | ) |

Clear the done interrupt flag.

Register | BitsName
--- | ---
INTERRUPT | DONE

Parameters

  AESx | AES instance

Return values

  None |

## ◆ ll_aes_is_action_flag_dma_done()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_dma_done | ( | aes_regs_t * | AESx | ) |

Indicate whether the DMA transfer done flag is set.

Register | BitsName
--- | ---
STATUS | TRANSDONE

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

## ◆ ll_aes_is_action_flag_dma_error()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_dma_error | ( | aes_regs_t * | AESx | ) |

Indicate whether the DMA transfer error flag is set.

Register | BitsName
--- | ---
STATUS | TRANSERR

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

## ◆ ll_aes_is_action_flag_it_done()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_it_done | ( | aes_regs_t * | AESx | ) |

Indicate whether the done interrupt flag is set.

Register | BitsName
--- | ---
INTERRUPT | DONE

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

## ◆ ll_aes_is_action_flag_key_valid()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_key_valid | ( | aes_regs_t * | AESx | ) |

Indicate whether the key valid flag is set.

Register | BitsName
--- | ---
STATUS | KEYVALID

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

## ◆ ll_aes_is_action_flag_ready()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_ready | ( | aes_regs_t * | AESx | ) |

Indicate whether the ready flag is set.

Register | BitsName
--- | ---
STATUS | READY

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).